加载中 . . .

GitHub不再允许“RSA密钥与SHA-1一起使用”


克隆GitHub仓库时,报错:

Eclipse/Git: "You're using an RSA key with SHA-1,which is no longer allowed.
Please use a newer client or a different key type."

算是小问题吧,就是不知道什么时候开始,GitHub不允许“RSA密钥与SHA-1一起使用“了。

然后查到了解决办法:

使用 ECDSA 加密创建新的 SSH 密钥

ssh-keygen -t ecdsa -b 521 -C "example@example.com"

然后正常上传使用就好了。

原文地址:[已解决]“您正在将 RSA 密钥与 SHA-1 一起使用,这不再允许。请使用较新的客户端或其他密钥类型 |。命名空间IT (namespaceit.com)


文章作者: Cikian
版权声明: 本博客所有文章除特別声明外,均采用 CC BY 4.0 许可协议。转载请注明来源 Cikian !
评论
  目录